/*
Name: 			College
Written by: 	AmirLaps (ieasoft.net/amir)
Theme Version:	1.0.0
*/

/*global $,owl,smoothScroll,alert,Placeholdem,google,WOW,moment,Swiper,swal,console,IS_IPAD*/
$(document).ready(function () {
    "use strict";

    
    /* ********************** table-content *********************** 
    
    1-ToolTip
    2-Loader Screen
    3-Select2
    4-SmoothScroll
    5-Wow.js Animation
    6-Materialize DropDown Options
    7-Sliders
    8-Layout FullHeight
    9-Inline Background-Image
    10-Gallery Mixitup
    11-Progress Bars
    12-Video Player Options
    13-Accordion with toggle icons
    14-Init Of ImagesLoaded
    15-Product ImageZoom
    16-Rating Stars
    17-Product Slider With Thumbinals
    18-Material Datepicker
    19-Mobile Menu
    20-Paypal Info Screen
    21-Payment Checkout Options
    
    ******************** End Table-Content ********************** */

    /* ---------------------------------------------
     ToolTip
    --------------------------------------------- */
    $('[data-toggle="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('.cs-loader').fadeOut(1000);
    });


    /* ---------------------------------------------
     Select2
    --------------------------------------------- */
    $('.select2-normal').select2();

    $('.select-nosearch').select2({
        minimumResultsForSearch: Infinity
    });

    /* ---------------------------------------------
     SmoothScroll
    --------------------------------------------- */
    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 85
    });

    /* ---------------------------------------------
     Wow.js Animation
    --------------------------------------------- */
    var wow = new WOW({
        boxClass: 'wow', // animated element css class (default is wow)
        animateClass: 'animated', // animation css class (default is animated)
        mobile: true, // trigger animations on mobile devices (default is true)
        live: true,
        offset: 100,
        scrollContainer: null // optional scroll container selector, otherwise use window
    });
    wow.init();

    /* ---------------------------------------------
     Materialize DropDown Options
    --------------------------------------------- */
    $('.reg-avatars li').on("click", function () {
        $(this).toggleClass('choosen').siblings().removeClass('choosen');
    });

    $('#dropdown3, #dropdown2').on("click", function (e) {
        e.stopPropagation();
    });

    /* ---------------------------------------------
     Sliders
    --------------------------------------------- */
    $(".fullwidth-slider").owlCarousel({
        transitionStyle: "fadeUp",
        navigation: true,
        slideSpeed: 500,
        paginationSpeed: 400,
        singleItem: true,
        responsive: true,
        autoPlay: 5000,
        pagination: true,
        stopOnHover: true,
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"]
    });

    $(".courses-slider, .blog-slider, .related-products").owlCarousel({
        navigation: true,
        slideSpeed: 200,
        responsive: true,
        autoPlay: 7000,
        items: 3,
        mouseDrag: true,
        pagination: true,
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"],
        stopOnHover: true,
        itemsCustom: [
			[0, 1],
			[450, 1],
			[600, 1],
			[700, 1],
            [800, 2],
			[1000, 3],
			[1200, 3],
			[1400, 3],
			[1600, 3]
        ]
    });

    $(".testomenals-slider").owlCarousel({
        transitionStyle: "fadeUp",
        navigation: true,
        slideSpeed: 500,
        paginationSpeed: 400,
        singleItem: true,
        responsive: true,
        autoPlay: 5000,
        pagination: true,
        stopOnHover: true,
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"]
    });

    $(".cat-slider").owlCarousel({
        navigation: true,
        slideSpeed: 200,
        responsive: true,
        autoPlay: 7000,
        items: 4,
        mouseDrag: true,
        pagination: true,
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"],
        stopOnHover: true,
        itemsCustom: [
			[0, 1],
			[450, 1],
			[600, 1],
			[700, 2],
			[1000, 3],
			[1200, 4],
			[1400, 4],
			[1600, 4]
        ]
    });


    /* ---------------------------------------------
     Layout FullHeight
    --------------------------------------------- */
    $(".js-height-full").height($(window).height());
    $(".js-height-parent").each(function () {
        $(this).height($(this).parent().first().height());
    });

    // Function for block height 100%
    function height_line(height_object, height_donor) {
        height_object.height(height_donor.height());
        height_object.css({
            "line-height": height_donor.height() + "px"
        });
    }


    /* ---------------------------------------------
     Inline Background-Image 
    --------------------------------------------- */
    $(".full-item").each(function (indx) {

        if ($(this).attr("data-background")) {
            $(this).css("background-image", "url(" + $(this).data("background") + ")");
        }
    });

    /* ---------------------------------------------
     Gallery Mixitup
    --------------------------------------------- */
    $('.gallery-box').mixItUp();

    $('.gallery-filters li').on("click", function () {
        $(this).addClass('active').siblings().removeClass('active');
    });

    $('#lightgallery').lightGallery();

    if ($(".count-number").length) {
        $(".count-number").appear(function () {
            var count = $(this);
            count.countTo({
                from: 0,
                to: count.html(),
                speed: 2500,
                refreshInterval: 60
            });
        });
    }

    /* ---------------------------------------------
     Progress Bars
    --------------------------------------------- */
    if ($('.progress-bars').length) {
        $('.progress-bars').appear(function () {
            $.fn.progress = function () {
                var percent = this.data("percent");
                this.css("width", percent + "%");
            };
            $(".bar-one .bar").progress();
            $(".bar-two .bar").progress();
            $(".bar-three .bar").progress();
            $(".bar-four .bar").progress();
        });
    }


    /* ---------------------------------------------
     Video Player Options
    --------------------------------------------- */
    $('.video-box-caption .butn').on("click", function () {
        $('.video-box-caption').slideUp();
    });

    if ($('video, audio').length) {
        $('video, audio').mediaelementplayer({
            // Do not forget to put a final slash (/)
            pluginPath: 'https://cdnjs.com/libraries/mediaelement/',
            // this will allow the CDN to use Flash without restrictions
            // (by default, this is set as `sameDomain`)
            shimScriptAccess: 'always'

        });
    }

    /* ---------------------------------------------
     Accordion with toggle icons
    --------------------------------------------- */
    function toggleIcon(e) {
        $(e.target)
            .prev('.panel-heading')
            .find(".more-less")
            .toggleClass('fa-plus fa-minus');
    }
    $('.panel-group').on('hidden.bs.collapse', toggleIcon);
    $('.panel-group').on('shown.bs.collapse', toggleIcon);


    /* ---------------------------------------------
     Init Of ImagesLoaded
    --------------------------------------------- */
    $('body').imagesLoaded({
        background: true
    });

    /* ---------------------------------------------
     Product ImageZoom
    --------------------------------------------- */
    $('.zoomx').zoom();


    /* ---------------------------------------------
     Rating Stars
    --------------------------------------------- */
    $(".rateYo").rateYo({
        onChange: function (rating, rateYoInstance) {
            $(this).next().text(rating);
        },
        starWidth: "17px",
        spacing: "2px"
    });


    /* ---------------------------------------------
     Product Slider With Thumbinals
    --------------------------------------------- */
    $('#carousel').flexslider({
        animation: "slide",
        controlNav: false,
        animationLoop: true,
        slideshow: false,
        itemWidth: 70,
        itemMargin: 2,
        asNavFor: '#slider',
        touch: true,
        directionNav: false
    });

    $('#course_in').flexslider({
        animation: "slide",
        controlNav: false,
        animationLoop: true,
        slideshow: false,
        itemWidth: 150,
        itemMargin: 2,
        asNavFor: '#slider',
        touch: true,
        directionNav: false
    });


    $('#slider').flexslider({
        animation: "fade",
        controlNav: false,
        animationLoop: true,
        sync: "#carousel",
        slideshow: true,
        slideshowSpeed: 3000,
        pauseOnHover: true
    });


    /* ---------------------------------------------
     Material Datepicker
    --------------------------------------------- */
    $('.datepicker').pickadate({
        selectMonths: true, // Creates a dropdown to control month
        selectYears: 200, // Creates a dropdown of 15 years to control year,
        today: 'today',
        clear: 'clear',
        close: 'choose',
        closeOnSelect: false // Close upon selecting a date
    });

    $('.login-wrapper').height(window.innerHeight);


    /* ---------------------------------------------
     Mobile Menu
    --------------------------------------------- */
    $('.qodef-side-menu-button-opener').on("click", function () {
        $('.header-navigation').slideToggle();
        $(this).toggleClass('opened');
    });


    /* ---------------------------------------------
     Paypal Info Screen
    --------------------------------------------- */
    $('.open-paypal-info').on('click', function () {
        window.open('https://www.paypal.com/us/webapps/mpp/paypal-popup', 'WIPaypal', 'toolbar=no, location=no, directories=center, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1050, height=600');
    });


    /* ---------------------------------------------
     Payment Checkout Options
    --------------------------------------------- */
    $('input:radio[name=payment-group]').change(function () {
        if (this.value === 'placed') {
            $('.item_i .placed-msg').slideDown();
            $('.item_i .paypal-msg').slideUp();
        } else if (this.value === 'paypal') {
            $('.item_i .placed-msg').slideUp();
            $('.item_i .paypal-msg').slideDown();
        }
    });
    
    $('#carousel').flexslider({
        animation: "slide",
        controlNav: false,
        animationLoop: true,
        slideshow: false,
        itemWidth: 70,
        itemMargin: 2,
        asNavFor: '#slider',
        touch: true,
        directionNav: false
    });

    $('#course_in').flexslider({
        animation: "slide",
        controlNav: false,
        animationLoop: true,
        slideshow: false,
        itemWidth: 150,
        itemMargin: 2,
        asNavFor: '#slider',
        touch: true,
        directionNav: false
    });


    $('#slider').flexslider({
        animation: "fade",
        controlNav: false,
        animationLoop: true,
        sync: "#carousel",
        slideshow: true,
        slideshowSpeed: 3000,
        pauseOnHover: true
    });
    
    if ($('.demo-slider').length) {
        $('.demo-slider').slick({
            centerMode: true,
            centerPadding: '0',
            slidesToShow: 3,
            autoplay: true,
            responsive: [
                {
                    breakpoint: 768,
                    settings: {
                        arrows: false,
                        centerMode: true,
                        centerPadding: '0',
                        slidesToShow: 3
                    }
                },
                {
                    breakpoint: 480,
                    settings: {
                        arrows: false,
                        centerMode: true,
                        centerPadding: '0',
                        slidesToShow: 1
                    }
                }
            ]
        });
    }

    
    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });




});